import src.monitor as monitor
import src.tools as tools

from colorama import Style, Fore, init

if __name__ == "__main__":

    url = "https://www.nike.com/de/launch?s=upcoming"
    num_monitors = 10

    init(autoreset=True)

    tools.clear()
    print(f"Creating {num_monitors} new Monitors...\n{tools.spacer}")
    for i in range(0, num_monitors):
        mon = monitor.Monitor()
        mon.name = f"Monitor {i}"
        mon.url = url
        print(f"{Fore.MAGENTA}{mon.name}{Style.RESET_ALL} |"
              f" {tools.keyword('URL')}({mon.url}) {tools.keyword('PROXY')}({mon.proxy})")
    print(tools.spacer)
